Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class BarButton

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Clickable
              org.eclipse.draw2d.Button
                  org.eclipse.contribution.visualiser.views.BarButton

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

public class BarButton
extends org.eclipse.draw2d.Button

Extends the draw2d Button class to allow buttos used in the Visualise drawing to be navigated via the arrow keys on the keyboard

Nested Class Summary

Nested classes inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator`

Nested classes inherited from class org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from class org.eclipse.draw2d.Clickable
`DEFAULT_FIRING, REPEAT_FIRING, STYLE_BUTTON, STYLE_TOGGLE`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`BarButton(java.lang.String n)` Constructor - creates the button and sets up navigation components

Method Summary
`org.eclipse.draw2d.Figure` | `getDownComponent()`
`org.eclipse.draw2d.Figure` | `getLeftComponent()`
`org.eclipse.draw2d.Figure` | `getRightComponent()`
`void` | `setDownComponent(org.eclipse.draw2d.Figure downComponent)`
`void` | `setLeftComponent(org.eclipse.draw2d.Figure leftComponent)`
`void` | `setRightComponent(org.eclipse.draw2d.Figure rightComponent)`

Methods inherited from class org.eclipse.draw2d.Clickable
`addActionListener, addChangeListener, doClick, getModel, isRolloverEnabled, isSelected, isStyle, removeActionListener, removeChangeListener, setEnabled, setEventHandler, setFiringMethod, setModel, setRolloverEnabled, setSelected, setStyle`

Methods inherited from class org.eclipse.draw2d.Figure
`add, add, add, add, addAncestorListener, addFigureListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, isEnabled, isFocusTraversable, isOpaque, isRequestFocusEnabled, isVisible, paint, remove, removeAll, removeAncestorListener, removeFigureListener, removeFocusListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setConstraint, setCursor, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setUpdateManager, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarButton

    public BarButton(java.lang.String n)

  Constructor - creates the button and sets up navigation components

Parameters:
  `n` -

Method Detail

### getDownComponent

    public org.eclipse.draw2d.Figure getDownComponent()

  Returns:
    Returns the downComponent.

### setDownComponent

    public void setDownComponent(org.eclipse.draw2d.Figure downComponent)

  Parameters:
    `downComponent` - The downComponent to set.

### getLeftComponent

    public org.eclipse.draw2d.Figure getLeftComponent()

  Returns:
    Returns the leftComponent.

### setLeftComponent

    public void setLeftComponent(org.eclipse.draw2d.Figure leftComponent)

  Parameters:
    `leftComponent` - The leftComponent to set.

### getRightComponent

    public org.eclipse.draw2d.Figure getRightComponent()

  Returns:
    Returns the rightComponent.

### setRightComponent

    public void setRightComponent(org.eclipse.draw2d.Figure rightComponent)

  Parameters:
    `rightComponent` - The rightComponent to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD